# Common Errors

In this section, you will find answers to commonly encountered issues. Remember that most errors stem from incorrect configuration, lack of required resources, or insufficient modification.

Bear in mind that troubleshooting requires patience and precision. Try to carefully analyze the errors and systematically review possible solutions.

If the issue persists after verifying the configuration and available resources, please contact the support on the VMS Discord.

***

<details>

<summary>No such export Notification in vms_notify</summary>

1. Go to vms\_barber/config.lua file
2. Find function `Config.Notification`
3. Remove vms\_notify exports and add your notify events or exports

</details>

<details>

<summary>When trying to open the management menu, I get a ban from qb-management</summary>

1. Go to your qb-management/server/sv\_boss.lua
2. Find these [marked lines](https://github.com/qbcore-framework/qb-management/blob/main/server/sv_boss.lua#L22-L25)

```lua
if not Player.PlayerData.job.isboss then
    ExploitBan(src, 'GetEmployees Exploiting')
    return
end
```

3. Remove them.

</details>

<details>

<summary>My character gets up from seat while changing categories</summary>

This means that you use fivem-appearance or illenium-appearance, use our prepared skinmanager, you can find it here [Prepared Resources](/helpful/prepared-resources.md#compatible-skinmanagers)

</details>

<details>

<summary>My character is standing instead of sitting on the chair</summary>

If you have `esx_sit` go to **config.lua** and remove prop `v_ilev_hd_chair` from the `Config.Interactables` list

</details>

<details>

<summary><strong>Hair fade doesn't save.</strong></summary>

This means that you have an incorrect order in which to run the resources

Correct order:

```bash
start vms_tattooshop
start vms_barber

start [vms] # rest of vms resources 
```

</details>

<details>

<summary>skinchanger problem (<code>SCRIPT ERROR: ?-1 attempt to index a nil value (field '?')</code>)</summary>

![](/files/Z3f0ACO3Oho6M063uoNg)

Install our prepared **esx\_skin & skinchanger** from [Prepared Resources](/helpful/prepared-resources.md#compatible-skinmanagers)

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vames-store.com/assets/vms_barber/common-errors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
